package ru.dima.weather.city;

import ru.dima.weather.http.HttpRequester;

import static ru.dima.weather.city.IpInfoService.IP_INFO_URL;

public class IpInfoService implements IpProvider {
    public static final String IP_INFO_URL = "https://ipinfo.io/city";
    private HttpRequester httpRequester;

    public IpInfoService (HttpRequester httpRequester) {
        this.httpRequester = httpRequester;
    }
    @Override
    public String getCurrentCityViaIP() {
        return httpRequester.getString(IP_INFO_URL)
                .replace("\n", "")
                .replace("\r", "");
    }
    @Override
    public String getName(){
        return "ipinfo";
    }
}
