package ru.dima.weather.city;

import org.junit.jupiter.api.Test;
import ru.dima.weather.cli.CLIInputReader;

import java.io.ByteArrayInputStream;
import java.io.InputStream;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class CLIInputReaderTest {
    @Test
    void testReadString() {
        String simulatedInput = "а";
        InputStream inputStream = new ByteArrayInputStream(simulatedInput.getBytes());
        CLIInputReader inputReader = new CLIInputReader(inputStream);

        String result = inputReader.readString();
        assertEquals("а", result, ":(");
    }
    @Test
    void  TestReadInteger(){
        var j = "1";
        InputStream inputStream = new ByteArrayInputStream(j.getBytes());
        var inputReadString = new  CLIInputReader(inputStream);
        int result =  inputReadString.readInteger();
        assertEquals(1 , result , "в этом коде мои слезы");

    }

    
}
