package ru.dima.weather.city;

import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.List;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;

public class IpProviderRegistryTest {
   @Test
    void testRegisterWeatherProvider() {
       IpProvider ipProvider = mock(IpProvider.class);
       IpProviderRegistry ipProviderRegistry = new IpProviderRegistry();
       List<IpProvider> registeredProviders = ipProviderRegistry.registerWeatherProvider(ipProvider);
       assertEquals(1, registeredProviders.size());
    }
}
